Package: groovy.lang

## [Java] Class SpreadMap

- groovy.lang.SpreadMap

- Helper to turn a list with an even number of elements into a Map.

  Authors:
    Pilho Kim
    Tim Tiemens

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SpreadMap (Object[] values)`
    `SpreadMap (Map map)`
    `SpreadMap (List list)` @since 1.8.0

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(Object that)`
    `boolean` | `equals(SpreadMap that)`
    `int` | `hashCode()`
    `Object` | `put(Object key, Object value)`
    `void` | `putAll(Map t)`
    `Object` | `remove(Object key)`
    `String` | `toString()` @return the string expression of `this`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HashMap` | `remove, get, put, values, clone, clear, isEmpty, size, entrySet, putAll, keySet, containsKey, containsValue, equals, toString, hashCode, wait, wait, wait, getClass, notify, notifyAll`
    `class AbstractMap` | `remove, get, put, equals, toString, values, hashCode, clear, isEmpty, size, entrySet, putAll, keySet, containsKey, containsValue, wait, wait, wait, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public SpreadMap(Object[] values)

    - #### public SpreadMap(Map map)

    - #### public SpreadMap(List list)

      Parameters:
        `list` - the list to make spreadable
      Since:
        1.8.0

  - ### Method Detail

    - #### public boolean equals(Object that)

    - #### public boolean equals(SpreadMap that)

    - #### public int hashCode()

    - #### public Object put(Object key, Object value)

    - #### public void putAll(Map t)

    - #### public Object remove(Object key)

    - #### public String toString()

      Returns:
        the string expression of `this`